#
# Makefile  -  makefile for MGL runtime module
#
# Copyright (C) 2003-2007 Gero Kuhlmann   <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.10 2007/01/06 18:31:38 gkminix Exp $
#


# Directory name of this module
MODNAME = mknbi-mgl


# Include makefile configuration
include ../../make.config
include ../../make.rules


# Source files for the target system
SSRCS86    = runtime.S86 lddisk.S86
CSRCS86    = exception.c86 memory.c86 strings.c86 console.c86 bootp.c86 \
		net.c86 charset.c86 rtend.c86
TARGET     = runtime.b86


# Rules to generate the target system files
all:		runtime-$(GNU16BIT)


# Generate the final target binary
.PHONY:		runtime-gnu runtime-nognu

runtime-gnu:	$(TARGET)

runtime-nognu:

$(TARGET):	$(OBJS86)


# Cleanup
clean:		clean-general

distclean:	clean

realclean:	distclean


